> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://okx-demo.ferndocs.com/api/api-reference/public-data/get-funding-rate/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server. # Get funding rate GET https://www.okx.com/api/v5/public/funding-rate Retrieve the current funding rate for a perpetual swap or X-Perp futures contract. Reference: https://okx-demo.ferndocs.com/api/api-reference/public-data/get-funding-rate ## Request ### Query parameters - `instId` (string, required) — Instrument ID, e.g. BTC-USD-SWAP. Only applicable to SWAP. ## Response ### 200 Successful response - `code` (string, optional) — Result code. `0` means success; any other value is an error code. - `msg` (string, optional) — Error message. Empty on success. - `data` (list of ApiV5PublicFundingRateGetResponsesContentApplicationJsonSchemaDataItems, optional) ## Types ### ApiV5PublicFundingRateGetResponsesContentApplicationJsonSchemaDataItems - `instType` (string, optional) — Instrument type, SWAP. - `instId` (string, optional) — Instrument ID, e.g. BTC-USD-SWAP. - `method` (string, optional) — Funding rate mechanism: current_period or next_period. - `formulaType` (string, optional) — Formula type: noRate (old) or withRate (new). - `fundingRate` (string, optional) — Current funding rate. - `nextFundingRate` (string, optional) — Forecasted funding rate for the next period. Only returned when method is current_period. - `fundingTime` (string, optional) — Settlement time of the current funding rate, Unix timestamp in milliseconds. - `nextFundingTime` (string, optional) — Forecasted settlement time for the next funding rate, Unix timestamp in milliseconds. - `minFundingRate` (string, optional) — The lower limit of the predicted funding rate of the next cycle. - `maxFundingRate` (string, optional) — The upper limit of the predicted funding rate of the next cycle. - `interestRate` (string, optional) — Interest rate. - `impactValue` (string, optional) — Depth-weighted amount used to compute the premium index. - `settState` (string, optional) — Settlement state of funding rate: processing or settled. - `settFundingRate` (string, optional) — Funding rate to be used in the upcoming settlement. Only returned when method is next_period. - `premium` (string, optional) — Premium between the mid price of perpetual swap and the index price. - `ts` (string, optional) — Data return time, Unix timestamp in milliseconds. ## Examples **Response** ```json { "code": "0", "msg": "", "data": [ { "instType": "SWAP", "instId": "BTC-USDT-SWAP", "method": "current_period", "formulaType": "noRate", "fundingRate": "0.0000182221218054", "nextFundingRate": "", "fundingTime": "1743609600000", "nextFundingTime": "1743638400000", "minFundingRate": "-0.00375", "maxFundingRate": "0.00375", "interestRate": "", "impactValue": "", "settState": "settled", "settFundingRate": "0.0000145824401745", "premium": "0.0000910113652644", "ts": "1743588686291" } ] } ``` **SDK Code** ```python publicData_getFundingRate_example import requests url = "https://www.okx.com/api/v5/public/funding-rate" querystring = {"instId":"BTC-USD-SWAP"} response = requests.get(url, params=querystring) print(response.json()) ``` ```javascript publicData_getFundingRate_example const url = 'https://www.okx.com/api/v5/public/funding-rate?instId=BTC-USD-SWAP'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go publicData_getFundingRate_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://www.okx.com/api/v5/public/funding-rate?instId=BTC-USD-SWAP" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby publicData_getFundingRate_example require 'uri' require 'net/http' url = URI("https://www.okx.com/api/v5/public/funding-rate?instId=BTC-USD-SWAP") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java publicData_getFundingRate_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://www.okx.com/api/v5/public/funding-rate?instId=BTC-USD-SWAP") .asString(); ``` ```php publicData_getFundingRate_example request('GET', 'https://www.okx.com/api/v5/public/funding-rate?instId=BTC-USD-SWAP'); echo $response->getBody(); ``` ```csharp publicData_getFundingRate_example using RestSharp; var client = new RestClient("https://www.okx.com/api/v5/public/funding-rate?instId=BTC-USD-SWAP"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift publicData_getFundingRate_example import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/public/funding-rate?instId=BTC-USD-SWAP")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```